Download it now!
Bug 107052 - PAGE FOOTER: manual column is ignored/does not work
Summary: PAGE FOOTER: manual column is ignored/does not work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2017-04-09 18:05 UTC by David Fritzsch_LibreOffice
Modified: 2018-06-15 02:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Testfile + embedded screenshot (67.99 KB, application/vnd.oasis.opendocument.text)
2017-04-10 01:22 UTC, David Fritzsch_LibreOffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Fritzsch_LibreOffice 2017-04-09 18:05:36 UTC
Description:
Manual column is ignored/does not work on page header/footer.
(Inside the page it works)


-> Doing this inside the page the manual column break works as expected.
* text breaks to new column; 
* a small blue bar above the new column indicates a manual column break


Steps to Reproduce:
1. I created a page footer with 4 columns.
2. Now I insert a manual column break by pressing SHIFT+CTRL+ENTER.


Actual Results:  
manual column seem to be ignored 
or 'seems' to be just a 'normal' line break.

Expected Results:
should break text flow to break column.

Pressing CTRL+F10 to see control chars does indicates a manual column break either.



Reproducible: Always

User Profile Reset: No - but I tested it on two PCs. On Debian Linux with LO 4.6 and on some WinXP with latest LO 5.2

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 David Fritzsch_LibreOffice 2017-04-09 19:02:40 UTC
Well i did some more testings + comparing the *.odt(zip container) before + after.

1. page stuff -> is stored in content.xml
while
header and footer -> is stored in styles.xml

2. 'a manual column break' is not a special char but issued via a style like this:
		<...style:name="MP2" ...>
			<style:paragraph-properties fo:break-before="column"/>
		</style:style>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
					<text:p text:style-name="MP2">
						Header_TestText
					</text:p>

^^-sample from styles.xml
Note:
   in content.xml auto paragraph an example style-name is "MP2"
   in  styles.xml auto paragraph an example style-name is  "P2"

3. in both content.xml and styles.xml was set correctly.

Conclusion: 
In the document data a 'a manual column break' is set/cleared correctly on both page and footer/header.
It's the Libre Office the rendering engine that somehow ignores such 'a manual column break' when rendering the page and footer/header section.


Okay I gave this here - since I don't like to dive into the Libre Office sources now.
Comment 2 Regina Henschel 2017-04-09 20:01:26 UTC
Please attach an example file.

I insert a section into the footer. I disable the option "Evenly distribute contents to all columns". I insert a manual column break via menu Insert > Manual Break. It content moves to the next column as expected.
Comment 3 David Fritzsch_LibreOffice 2017-04-10 01:22:12 UTC
Created attachment 132428 [details]
Testfile + embedded screenshot
Comment 4 Regina Henschel 2017-04-10 07:56:46 UTC
I can see the wrong behavior in LO5.2.6, but in LO5.3 the manual column break is honored. I set it to new, but I doubt, that there will be a fix in the last bug fix release for the 5.2 line. So a wontfix might be more suitable.
Comment 5 David Fritzsch_LibreOffice 2017-04-10 12:05:30 UTC
Cool I just got LO 5.3 now and there it's worKing!

Only small thing I miss is that blue formatting bar on the next column that say 'manual column break'.

 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

Hmm got some Debian that just has LO 4.3.
Sad that Debian don't updates LO in it's normal packet update system.

Well I may update it manually via these *.deb files + dpkg.
But yeah doing so has the risk that it has dependency lib's that are used by other  programs. Updating them to newer version may break this programs that uses the same lib as LO.
Any information that updating LO cause problems with other programs?
Comment 6 QA Administrators 2018-06-15 02:46:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug